Subject: [PATCH 2/2] clk: fixup argument order when setting VCO parameters

From: [email-masked] (Jonathan Austin)
Date: Thu, 25 Jul 2013 10:36:25 +0100

On 25/07/13 10:33, Linus Walleij wrote:
> On Thu, Jul 25, 2013 at 11:30 AM, Jonathan Austin
> <[email-masked]> wrote:
>
>>> What I don't understand is why my CLCD VGA output has
>>> been working all the time :-(
>>>
>>
>> No, this confuses me too - perhaps the display you've got it plugged in to
>> is really lenient about modes and just made the best of it?
>
> I think it's because it is set up into some mode by the boot
> monitor, as I get the boot monitor prompt on the VGA
> display.
>
> Then as the VCO params get written, it is never really unlocked
> so the registers are untouched.
>
> You may have a different boot monitor?
>

Ahh, that seems highly likely. I don't ever see boot-monitor (boot 
straight in to uboot) but I don't see anything on the display until the 
kernel boots, so I don't think BM is setting up the VCO for me.

Jonny